Bug 414675 - Budget not using Fiscal Year
Summary: Budget not using Fiscal Year
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: 4.8.0
Platform: Microsoft Windows Microsoft Windows
: NOR major (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-30 02:05 UTC by Vara
Modified: 2021-06-05 15:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments
Screen prints showing the issue (543.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-11-30 02:05 UTC, Vara
Details
budget report for current financial year, columns = years (586.57 KB, application/pdf)
2021-06-05 09:12 UTC, jlboz
Details
heading of current financial year budget report showing calendar years (10.36 KB, image/png)
2021-06-05 09:35 UTC, jlboz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vara 2019-11-30 02:05:32 UTC
Created attachment 124198 [details]
Screen prints showing the issue

SUMMARY:  Budget not using Fiscal Year
Budget setup does not use fiscal year that I created as starting 1 July and ending 30 June. Instead it shows monthly budget from Jan to Dec. looks like it uses Calendar year instead of fiscal year. Screen prints attached
Comment 1 Ralf Habacker 2019-12-01 00:33:28 UTC
Version 4.8.0 is very old and this bug may be fixed in newer versions. The recent stable version for Windows is 4.8.4, which can be downloaded from https://kmymoney.org/. It would be nice to get a feedback, if your issue has been fixed with 4.8.4.
Comment 2 Thomas Baumgart 2019-12-01 09:28:41 UTC
I believe/am pretty sure that the budget is still tied to the calendar year. Even in 5.0 this has not changed and is the same across all platforms.
Comment 3 jlboz 2021-06-05 09:12:51 UTC
Created attachment 139016 [details]
budget report for current financial year, columns = years

this report is supposed to show one financial year as one column but it has split the year into two calendar years, each equal to half the financial year
Comment 4 jlboz 2021-06-05 09:35:56 UTC
Created attachment 139017 [details]
heading of current financial year budget report showing calendar years

This bug continues. My attachment is the headings of a budget report for this year, but it shows as two calendar year columns where each of those columns is half of the year. The total column is therefore the actual financial year, but there is no way to display the total without the other two columns. This is from Version 5.1.80-7de7de8fd running on Windows 10
Comment 5 Thomas Baumgart 2021-06-05 14:54:05 UTC
Git commit 28c202f0f328f8f132791789b671f9adebda6c1d by Thomas Baumgart.
Committed on 05/06/2021 at 14:53.
Pushed by tbaumgart into branch 'master'.

Support fiscal year reports spread over multiple calendar years

M  +33   -3    kmymoney/plugins/views/reports/core/pivottable.cpp
M  +8    -0    kmymoney/plugins/views/reports/core/pivottable.h

https://invent.kde.org/office/kmymoney/commit/28c202f0f328f8f132791789b671f9adebda6c1d
Comment 6 Thomas Baumgart 2021-06-05 15:03:00 UTC
Git commit 5ab5ecb779ecdc1fc3c11065793f64f9f9081a17 by Thomas Baumgart.
Committed on 05/06/2021 at 14:59.
Pushed by tbaumgart into branch '5.1'.

Support fiscal year reports spread over multiple calendar years
FIXED-IN: 5.1.2

(cherry picked from commit 28c202f0f328f8f132791789b671f9adebda6c1d)

M  +33   -3    kmymoney/plugins/views/reports/core/pivottable.cpp
M  +8    -0    kmymoney/plugins/views/reports/core/pivottable.h

https://invent.kde.org/office/kmymoney/commit/5ab5ecb779ecdc1fc3c11065793f64f9f9081a17